#include "Equipment.h"

#include <XML.h>

using namespace Framework;

EquipmentElement::EquipmentElement()
    : UIMLElement()
{}

//! prüft, ob dieses UIML Element für ein bestimmtes xml Element zuständig ist
bool EquipmentElement::isApplicableFor(Framework::XML::Element& element)
{
    return element.getName().isEqual("equipment");
}

//! erstellt eine neue Drawable zu einem gegebenen xml Element
Framework::Drawable* EquipmentElement::parseElement(
    Framework::XML::Element& element, Framework::UIMLContainer& generalFactory)
{
    return new EquipmentView((int)element.getAttributeValue("entity"));
}

bool EquipmentElement::updateElement(Framework::XML::Element& element,
    Framework::Drawable& z,
    Framework::UIMLContainer& generalFactory)
{
    return false;
}

//! wendet die layout parameter zu einer Drawable an
void EquipmentElement::layout(Framework::XML::Element& element,
    Framework::Drawable& z,
    int pWidth,
    int pHeight,
    Framework::UIMLContainer& generalLayouter)
{
    UIMLElement::layout(element, z, pWidth, pHeight, generalLayouter);
}

EquipmentView::EquipmentView(int entityId)
    : DrawableBackground(),
      entityId(entityId)
{}

void EquipmentView::api(char* message) {}

bool EquipmentView::tick(double tickVal)
{
    return DrawableBackground::tick(tickVal);
}

void EquipmentView::render(Image& rObj)
{
    DrawableBackground::render(rObj);
}

void EquipmentView::doMouseEvent(MouseEvent& me, bool userRet)
{
    DrawableBackground::doMouseEvent(me, userRet);
}